Index: /ipk/make-ipk
===================================================================
--- /ipk/make-ipk	(revision 17594)
+++ /ipk/make-ipk	(revision 17595)
@@ -250,4 +250,15 @@
 #	rm -rf "$HOMEDIR"/BUILD/titanswapplayers_hbbtv 
 
+	# titanplayers
+	cp -a $HOME/flashimg/BUILD/titan/var/usr/local/share/titan/plugins/hbbtv/* "$HOMEDIR"/BUILD/titanplayers_hbbtv/var/usr/local/share/titan/plugins/hbbtv
+	cp -a $HOME/flashimg/BUILD/titan/usr/lib/* "$HOMEDIR"/BUILD/titanplayers_hbbtv/var/usr/local/share/titan/plugins/hbbtv/opera
+#	mkdir -p "$HOMEDIR"/BUILD/titanswapplayers_hbbtv/var/usr/local/share/titan/plugins
+# 	ln -s /var/swap/titanplugins/hbbtv "$HOMEDIR"/BUILD/titanswapplayers_hbbtv/var/usr/local/share/titan/plugins/hbbtv
+	rm -rf "$HOMEDIR"/BUILD/titanplayers_hbbtv/var/usr/local/share/titan/plugins/hbbtv/opera/directfb-1.4-5
+ 	ln -s /var/usr/lib/directfb-1.4-5 "$HOMEDIR"/BUILD/titanplayers_hbbtv/var/usr/local/share/titan/plugins/hbbtv/opera/directfb-1.4-5
+	#remove for release
+#	rm -rf "$HOMEDIR"/BUILD/titanplayers_hbbtv 
+
+
 	cp -a $HOME/flashimg/BUILD/titan/var/usr/local/share/titan/plugins/gmediarender/* "$HOMEDIR"/BUILD/titanswapplayers_gmediarender/var/swap/titanplugins/gmediarender
 	cp -a $HOME/flashimg/BUILD/titan/usr/lib/* "$HOMEDIR"/BUILD/titanswapplayers_gmediarender/var/swap/lib
Index: /ipk/source.sh4/titanplayers_hbbtv/CONTROL/control
===================================================================
--- /ipk/source.sh4/titanplayers_hbbtv/CONTROL/control	(revision 17595)
+++ /ipk/source.sh4/titanplayers_hbbtv/CONTROL/control	(revision 17595)
@@ -0,0 +1,10 @@
+Package: titan-plugin-player-hbbtv
+Version: 0.1
+Architecture: sh4
+OE: netsurf
+Section: extra
+Priority: optional
+Maintainer: AAF
+Homepage: http://www.aaf-digital.info
+Source: nit by schischu 
+Description: Webbrowser Plugin
Index: /ipk/source.sh4/titanplayers_hbbtv/CONTROL/postinst
===================================================================
--- /ipk/source.sh4/titanplayers_hbbtv/CONTROL/postinst	(revision 17595)
+++ /ipk/source.sh4/titanplayers_hbbtv/CONTROL/postinst	(revision 17595)
@@ -0,0 +1,29 @@
+#!/bin/sh
+TMP=/tmp/.tmp
+echo "successfully installed"
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1`
+	FREE=`expr $SPACE - 100`
+	echo new freespace size $FREE kb
+else
+	echo "syncing disk"
+	sync
+fi
+
+rm -rf /var/usr/local/share/titan/plugins/hbbtv
+#ln -s /var/swap/titanplugins/hbbtv /var/usr/local/share/titan/plugins/hbbtv
+
+rm -rf /var/usr/lib/gstreamer-0.10
+ln -s /var/swap/titanplugins/hbbtv/opera/gstreamer-0.10 /var/usr/lib
+#rm -rf /var/usr/lib/directfb-1.4-5
+#ln -s /var/swap/titanplugins/hbbtv/opera/directfb-1.4-5 /var/usr/lib
+
+#LINKEDLIST=`ls -1 /var/swap/lib`
+#for ROUND in $LINKEDLIST; do
+#	echo "ln -s /var/swap/lib/"$ROUND" /var/usr/lib"
+#	ln -s /var/swap/lib/"$ROUND" /var/usr/lib
+#done
+
+echo "install hbbtv...."
+exit 0
+exit 0
Index: /ipk/source.sh4/titanplayers_hbbtv/CONTROL/postrm
===================================================================
--- /ipk/source.sh4/titanplayers_hbbtv/CONTROL/postrm	(revision 17595)
+++ /ipk/source.sh4/titanplayers_hbbtv/CONTROL/postrm	(revision 17595)
@@ -0,0 +1,16 @@
+#!/bin/sh
+TMP=/tmp/.tmp
+
+#rm -rf /var/swap/titanplugins/hbbtv
+rm -rf /var/usr/local/share/titan/plugins/hbbtv
+
+echo "successfully removed"
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1`
+	FREE=`expr $SPACE - 100`
+	echo new freespace size $FREE kb
+else
+	echo "syncing disk"
+	sync
+fi
+exit 0
Index: /ipk/source.sh4/titanplayers_hbbtv/CONTROL/preinst
===================================================================
--- /ipk/source.sh4/titanplayers_hbbtv/CONTROL/preinst	(revision 17595)
+++ /ipk/source.sh4/titanplayers_hbbtv/CONTROL/preinst	(revision 17595)
@@ -0,0 +1,38 @@
+#!/bin/sh
+#
+TMP=/tmp/.tmp
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "atemio510" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
+
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1`
+	FREE=`expr $SPACE - 100`
+	SIZE=15500
+	echo "checking freespace"
+	echo packege size $SIZE kb
+	echo freespace size $FREE kb
+	if  [ "$FREE" -lt "$SIZE" ]; then
+		echo "sorry no freespace left on device"
+		exit 1
+	else
+		echo ok		
+	fi
+else
+	echo "syncing disk"
+	sync
+fi  
+#rm -rf /var/swap/titanplugins/hbbtv
+echo "installing hbbtv..."
+
+exit 0
Index: /ipk/source.sh4/titanplayers_hbbtv/CONTROL/prerm
===================================================================
--- /ipk/source.sh4/titanplayers_hbbtv/CONTROL/prerm	(revision 17595)
+++ /ipk/source.sh4/titanplayers_hbbtv/CONTROL/prerm	(revision 17595)
@@ -0,0 +1,12 @@
+#!/bin/sh
+TMP=/tmp/.tmp
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1`
+	FREE=`expr $SPACE - 100`
+	echo new freespace size $FREE kb
+else
+	echo "syncing disk"
+	sync
+fi
+echo "removing hbbtv from swapstick"
+exit 0
